=== debian/changelog ===
debian-installer (20070308etch7) oldstable; urgency=low

  * Rebuild for Etch oldstable point release.

 -- dann frazier <dannf@debian.org>  Sun, 28 Feb 2010 20:58:52 -0700

debian-installer (20070308etch6) oldstable; urgency=low

  * Rebuild for Etch oldstable point release. Hopefully closes: #536353.

 -- Frans Pop <fjp@debian.org>  Wed, 23 Dec 2009 16:02:49 +0100

debian-installer (20070308etch5) oldstable; urgency=low

  * Rebuild to avoid .svn files in the tarball

 -- Otavio Salvador <otavio@debian.org>  Tue, 07 Apr 2009 23:12:15 -0300

debian-installer (20070308etch4) oldstable; urgency=low

  * Rebuild to ensure that we include the updated archive key.

 -- Otavio Salvador <otavio@debian.org>  Sat, 04 Apr 2009 14:31:19 -0300

debian-installer (20070308etch3) stable; urgency=low

  * Rebuild to ensure the installer includes fixed versions of openssh for
    the SSH key vulnerability (DSA-1576-1). This affects architectures
    using network-console (arm, mipsel) and generic (s390) images.
    The upcoming 4.0r4 point release will ensure fixed versions of openssh
    are also included for all CD-based installations.
    Closes: #491263.

 -- Frans Pop <fjp@debian.org>  Sat, 19 Jul 2008 10:03:12 +0200

debian-installer (20070308etch2) stable; urgency=low

  * Update all architectures to use 2.6.18-6 kernels.

 -- Frans Pop <fjp@debian.org>  Tue,  5 Feb 2008 13:06:17 +0000

debian-installer (20070308etch1) stable; urgency=low

  * Excluding non-us for sources.list.udeb should no longer be needed; add
    exclusion for volatile.debian.{org,net}.
  * Support distribution equal to stable and oldstable.
  * Update all architectures to use 2.6.18-5 kernels.
  * Use keyring from debian-archive-keyring if it is available even if KEYRING
    is not set. Needed to work around a build error for the i386 boot floppy
    target.

 -- Frans Pop <fjp@debian.org>  Fri, 15 Jun 2007 11:28:59 +0200
