## debian-installer 20070308ubuntu20

=== debian/changelog ===
debian-installer (20070308ubuntu20) gutsy; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Oct 2007 21:31:08 +0100

debian-installer (20070308ubuntu19) gutsy; urgency=low

  * Move to 2.6.22-14 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 09 Oct 2007 16:32:33 +0100

debian-installer (20070308ubuntu18) gutsy; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Oct 2007 21:40:06 +0100

debian-installer (20070308ubuntu17) gutsy; urgency=low

  * Move to 2.6.22-13 kernels.
  * Update help text translations from Launchpad.
  * Update live CD memory requirements to 384 MB. (We will try to get this
    back down for Hardy.)

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Oct 2007 19:55:08 +0100

debian-installer (20070308ubuntu16) gutsy; urgency=low

  * Enable powerpc/cell subarchitecture.
  * Make ubuntu-modules optional on powerpc, since cell doesn't have it
    (yet?).
  * Update help text translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 24 Sep 2007 12:49:15 +0100

debian-installer (20070308ubuntu15) gutsy; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 22 Sep 2007 17:18:11 +0100

debian-installer (20070308ubuntu14) gutsy; urgency=low

  * Rename server to cli, to match cdimage since edgy (LP: #125903). Remove
    now-unnecessary base-installer preseeding.
  * Use genisoimage instead of mkisofs.
  * Move to 2.6.22-12 kernels.
  * Add basic Cell support, but not enabled yet pending the existence of
    udebs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 20 Sep 2007 23:13:44 +0100

debian-installer (20070308ubuntu13) gutsy; urgency=low

  * Move to 2.6.22-11 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 07 Sep 2007 17:29:28 +0100

debian-installer (20070308ubuntu12) gutsy; urgency=low

  * Move to 2.6.22-10 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 22 Aug 2007 15:25:07 +0100

debian-installer (20070308ubuntu11) gutsy; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 Aug 2007 11:48:39 +0100

debian-installer (20070308ubuntu10) gutsy; urgency=low

  * Build-depend on dctrl-tools rather than the transitional package
    grep-dctrl.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 10 Aug 2007 16:29:34 +0100

debian-installer (20070308ubuntu9) gutsy; urgency=low

  * Remove dangling reference to expert mode from live boot screens
    (LP: #48349).
  * Move to 2.6.22-9 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 31 Jul 2007 09:47:11 +0100

debian-installer (20070308ubuntu8) gutsy; urgency=low

  * Publish separate kernel and initrd for sparc64 netboot.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 Jul 2007 11:03:45 +0100

debian-installer (20070308ubuntu7) gutsy; urgency=low

  * Fix mismatched XML tags in Basque translation.
  * Switch to dhcp3-client-udeb.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 16 Jul 2007 23:29:00 +0100

debian-installer (20070308ubuntu6) gutsy; urgency=low

  * Update live CD memory requirements to 256 MB (LP: #120107).
  * Fix double ">" on F6 help page (LP: #122272).
  * Move to 2.6.22-8 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 Jul 2007 14:00:40 +0100

debian-installer (20070308ubuntu5) gutsy; urgency=low

  * Move to 2.6.22-7 kernels.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 25 Jun 2007 20:15:51 +0200

debian-installer (20070308ubuntu4) gutsy; urgency=low

  * Remove fs-core-modules workaround, as the kernel has now been fixed.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 05 Jun 2007 12:16:31 +0100

debian-installer (20070308ubuntu3) gutsy; urgency=low

  * Clarify help text about existing swap partitions (LP: #50856).
  * Add oem-config-check to all images.
  * Move to 2.6.22-6 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 04 Jun 2007 08:33:46 +0100

debian-installer (20070308ubuntu2) gutsy; urgency=low

  * Restore missing build/boot/x86/pics/ubuntu* files, lost in merge.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 23 May 2007 16:10:34 +0100

debian-installer (20070308ubuntu1) gutsy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Ubuntu branding of various kinds.
    - Use Ubuntu kernels. Various tweaks for different udeb splits.
    - Fetch distribution name and version number from lsb_release.
    - Use the full version number in image directories.
    - Build-depend on belocs-locales-bin.
    - Various boot screen text adjustments.
    - Add server boot options.
    - Add memtest boot option.
    - Add live CD boot screens.
    - Adjust memory size recommendations.
    - Document pci=noacpi.
    - Add translatable boot screen text for gfxboot.
    - Use ubuntu-keyring-udeb (and gpgv-udeb) instead of the Debian archive
      keyring.
    - Switch all images to initramfs.
    - Add netboot images suitable for USB memory sticks.
    - Remove floppy support, since it never used to work with 2.6. (This may
      be fixed in the future.)
    - Disable GTK frontend.
    - Add kickseed-common and initrd-kickseed to all images containing
      preseed-common and initrd-preseed.
    - Add nfs-modules to all netboot images except powerpc, for Kickstart.
    - kbd-chooser -> console-setup.
    - Include keymap decision tree in all.utf.
    - Replace cdebconf-newt-entropy with cdebconf-newt-detect-keys in
      EXTRAUDEBS.
    - Add bootchart-udeb to all images.
    - Add hdparm-udeb to cdrom images.
    - Add nic-firmware to netboot images and scsi-firmware to cdrom and
      hd-media images.
    - Ship elilo configuration on i386 for Intel-based Macs.
    - Use mkvmlinuz's fallback object files on powerpc rather than relying
      on the kernel's.
    - Remove sparc32.
    - Use ${RAMDISK_SIZE} in sparc's silo.conf rather than a hardcoded size.
    - Add input-modules to the sparc netboot image.

