=== debian/rules ===
--- 
+++ 
@@ -3,19 +3,16 @@
 ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
 VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
 DATE=$(shell echo $(VERSION) | cut -d '.' -f 1)
-SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2)
-ifneq (,$(filter stable oldstable,${SUITE}))
-SUITE=etch
-endif
+SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2 | cut -d - -f 1)
 ifeq (${SUITE},unstable)
 SUITE=etch
 endif
 ifeq (${SUITE},UNRELEASED)
-SUITE=unstable
+SUITE=gutsy
 endif
 
 ARCHIVEDIR=debian/tmp/installer-$(ARCH)
-DESTDIR=$(ARCHIVEDIR)/$(DATE)
+DESTDIR=$(ARCHIVEDIR)/$(VERSION)
 IMAGEDIR=$(DESTDIR)/images
 TARNAME=debian-installer-images_$(VERSION)_$(ARCH).tar.gz
 
@@ -47,7 +44,7 @@
 
 	install -d $(IMAGEDIR)
 	cp -a build/dest/* $(IMAGEDIR)
-	ln -s $(DATE) $(ARCHIVEDIR)/current
+	ln -s $(VERSION) $(ARCHIVEDIR)/current
 
 binary-arch: install  
 	dh_testdir
