## debian-installer 20070308ubuntu40

=== debian/changelog ===
debian-installer (20070308ubuntu40) hardy; urgency=low

  * No-change rebuild to pick up new components (choose-mirror,
    console-setup).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Apr 2008 02:02:03 +0100

debian-installer (20070308ubuntu39) hardy; urgency=low

  * Remove documentation of "Check CD for defects"; even in gfxboot we don't
    have enough screen space for it.
  * Resynchronise build/boot/x86/po4a.cfg with our real set of translations.
  * Update help text translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 14 Apr 2008 15:41:32 +0100

debian-installer (20070308ubuntu38) hardy; urgency=low

  * Move to 2.6.24-16 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 11 Apr 2008 15:19:51 +0100

debian-installer (20070308ubuntu37) hardy; urgency=low

  * Put fat-modules back in various cdrom, netboot, and speakup initrds
    (removed in 20061102ubuntu1), since it was split out from
    fs-secondary-modules again.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 09 Apr 2008 15:24:31 +0100

debian-installer (20070308ubuntu36) hardy; urgency=low

  * Move to 2.6.24-15 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 04 Apr 2008 15:39:40 +0100

debian-installer (20070308ubuntu35) hardy; urgency=low

  * Update help text translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 03 Apr 2008 11:44:25 +0100

debian-installer (20070308ubuntu34) hardy; urgency=low

  * Move to 2.6.24-14 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 03 Apr 2008 10:36:42 +0100

debian-installer (20070308ubuntu33) hardy; urgency=low

  * Move to 2.6.24-12 kernels.
  * Update help text translations from Launchpad.
  * Remove translations for languages not supported by localechooser (and
    therefore unused by gfxboot-theme-ubuntu), specifically: ky mr ms oc ur.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Mar 2008 14:08:13 +0000

debian-installer (20070308ubuntu32) hardy; urgency=low

  * No-change rebuild to pick up new components (busybox 1:1.1.3-5ubuntu12).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 04 Mar 2008 20:07:31 +0000

debian-installer (20070308ubuntu31) hardy; urgency=low

  * Move to 2.6.24-11 kernels.
  * Update help text translations from Launchpad.
  * Adjust help text to refer to gfxboot UI where appropriate (LP: #66881).
  * Update the syslinux live CD F3 help text to talk about live-install
    rather than live-expert.
  * Document "Check CD for defects" boot option (only for gfxboot, due to
    space constraints).
  * Use <literal> rather than <screen> when referring to the boot: prompt in
    the middle of a sentence, to avoid making translators work with sentence
    fragments.
  * Resync syslinux live CD F1 and F5 help page cross-references with
    help.xml (thanks, Steve Langasek; LP: #151127).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 03 Mar 2008 11:46:34 +0000

debian-installer (20070308ubuntu30) hardy; urgency=low

  * Remove powerpc/cell subarchitecture altogether; support for these
    systems is now integrated into powerpc64.
  * Make ubuntu-modules mandatory on powerpc again; it was only made
    optional for cell.
  * Update help text translations from Launchpad.
  * Copy the live CD F4 help text from gfxboot into syslinux display format
    (LP: #195564).
  * Move to 2.6.24-10 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 26 Feb 2008 18:15:40 +0000

debian-installer (20070308ubuntu29) hardy; urgency=low

  * Move to 2.6.24-8 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 17 Feb 2008 16:57:01 +0000

debian-installer (20070308ubuntu28) hardy; urgency=low

  * build/config/common: Update for Hardy (oops; fortunately this only
    mattered for manual builds).
  * Move to 2.6.24-7 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 08 Feb 2008 11:24:48 +0000

debian-installer (20070308ubuntu27) hardy; urgency=low

  * Move to 2.6.24-5 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Jan 2008 00:23:09 +0000

debian-installer (20070308ubuntu26) hardy; urgency=low

  * Update copyright years to 2008.
  * Drop powerpc/cell subarchitecture at least for now, as the kernel no
    longer builds it.
  * Move to 2.6.24-4 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 17 Jan 2008 09:20:52 +0000

debian-installer (20070308ubuntu25) hardy; urgency=low

  * Move to 2.6.24-3 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 08 Jan 2008 14:22:44 +0000

debian-installer (20070308ubuntu24) hardy; urgency=low

  * Rebuild-only upload to pick up fixes from udev 0.117-3.

 -- Steve Langasek <slangasek@canonical.com>  Wed, 19 Dec 2007 20:16:28 -0800

debian-installer (20070308ubuntu23) hardy; urgency=low

  * Switch from upx-ucl-beta to upx-ucl, now that it's out of beta.
  * Move to 2.6.24-2 kernels.
  * Encapsulate UTF-8 encoding pain differently in
    build/util/help-to-gfxboot.py. (The resulting code is longer but I think
    the horribleness is better-positioned.)

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 18 Dec 2007 21:13:12 +0000

debian-installer (20070308ubuntu22) hardy; urgency=low

  * Backport from trunk (Bastian Blank):
    - Support coming cdebconf frontend changes.
  * Update help text translations from Launchpad.
  * Set Vcs-Bzr for Ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 29 Nov 2007 18:02:12 +0000

debian-installer (20070308ubuntu21) hardy; urgency=low

  * Set default suite to hardy.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 28 Nov 2007 22:12:41 +0000
