## debian-installer 20070308ubuntu40.4

=== debian/changelog ===
debian-installer (20070308ubuntu40.4) hardy-proposed; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 19 Jun 2008 20:02:15 +0100

debian-installer (20070308ubuntu40.3) hardy-proposed; urgency=low

  * Move to 2.6.24-19 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 Jun 2008 09:00:18 +0100

debian-installer (20070308ubuntu40.2) hardy-proposed; urgency=low

  * Update translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 02 Jun 2008 22:35:05 +0100

debian-installer (20070308ubuntu40.1) hardy-proposed; urgency=low

  * Move to 2.6.24-17 kernels.
  * Reinstate Fabio's changes from dapper-updates:
    - Build against non-release pockets matching the sources.list on the
      buildd.
    - Dump the generated sources.list.udeb to the build log.
  * Bump hd-media image size to 800MB so that Ubuntu ISO images fit on them
    (LP: #225402).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 02 Jun 2008 15:50:09 +0100
