=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 SUITE=etch
 endif
 ifeq (${SUITE},UNRELEASED)
-SUITE=gutsy
+SUITE=hardy
 endif
 
 ARCHIVEDIR=debian/tmp/installer-$(ARCH)
