## debian-installer 20070308ubuntu40.7

=== debian/changelog ===
debian-installer (20070308ubuntu40.7) hardy-proposed; urgency=low

  * Move to 2.6.24-23 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 05 Jan 2009 16:24:01 +0000

debian-installer (20070308ubuntu40.6) hardy-proposed; urgency=low

  * Move to 2.6.24-22 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 18 Dec 2008 17:49:31 +0000

debian-installer (20070308ubuntu40.5) hardy-proposed; urgency=low

  * Move to 2.6.24-21 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 11 Sep 2008 21:44:00 +0100
